<div class="scroll ps" id="scroll">
	<mat-toolbar class="app-toolbar" id="app-toolbar">

		<!-- LOGO -->
		<img class="img-logo"
			src="https://www.cancilleria.gov.co/sites/default/files/FOTOS2018/cabezote-logo-cancilleria-2018-2022.jpg">
		<div class="menu">
			<!-- SCROLL DEL MENU HACIA LA IZQUIERDA -->
			<div class="bt-scroll bt-scroll-left">
				<button mat-icon-button mat-flat-button (click)="scrollLeft()">
					<mat-icon>chevron_left</mat-icon>
				</button>
			</div>
			<!-- MENU CON OVERFLOW PARA EL SCROLL -->
			<div #itemsMenu class="items-menu">
				<!-- ITEMS DEL MENU CARGADOS DINAMICAMENTE CON LA DIRECTIVA ngFor DESDE LA VARIABLE menuItems -->
				<ng-container *ngFor="let item of menuItems">
					<!-- SI EL BOTON NO TIENE URL Y TAMPOCO SUBMODULOS SERÁ OPACO, NO TENDRÁ RUTA Y NO ABRIRÁ EL SUB MENÚ -->
					<button mat-button style="opacity: 0.6;"
						*ngIf="!item.url && !item.submodulos">{{item.nombre}}</button>
					<!-- SI NO TINE URL PERO SI SUBLODULOS, ABRIRÁ EL SUBMENU SIN CAMBIAR DE RUTA -->
					<button mat-button style="opacity: 0.6;" *ngIf="!item.url && item.submodulos"
						#trigger="matMenuTrigger" (mouseenter)="openMenu(trigger)"
						[matMenuTriggerFor]="menu">{{item.nombre}}</button>
					<!-- SI TIENE URL PERO NO SUBMENU NO SERÁ OPACO, ABRE EL MENU  -->
					<button mat-button *ngIf="item.url && !item.submodulos"
						[routerLinkActive]="['mat-bt-primary', 'bold']"
						[routerLink]="'/pagina/' + item.url">{{item.nombre}}</button>
					<!-- SI TIENE URL Y SUBMENUS HARÁ AMBAS COSAS, NO SERÁ OPACO -->
					<button mat-button *ngIf="item.url && item.submodulos" #trigger="matMenuTrigger"
						(mouseenter)="openMenu(trigger)" [matMenuTriggerFor]="menu"
						[routerLinkActive]="['mat-bt-primary', 'bold']"
						[routerLink]="'/pagina/' + item.url">{{item.nombre}}</button>
					<!-- MENU -->
					<mat-menu #menu="matMenu">
						<ng-template matMenuContent>
							<ng-container *ngFor="let subitem of item.submodulos">
								<!-- MISMAS VALIDACIONES DE BOTONES -->
								<button style="opacity: 0.6;" *ngIf="!subitem.url && !subitem.submodulos"
									mat-menu-item>{{subitem.nombre}}</button>
								<!-- MISMAS VALIDACIONES DE BOTONES -->
								<button style="opacity: 0.6;" *ngIf="!subitem.url && subitem.submodulos"
									[matMenuTriggerFor]="menu1" mat-menu-item>{{subitem.nombre}}</button>
								<!-- MISMAS VALIDACIONES DE BOTONES -->
								<button *ngIf="subitem.url && !subitem.submodulos" mat-menu-item
									[routerLink]="'/pagina/'+ item.url+'/'+subitem.url"
									[routerLinkActive]="['mat-bt-primary', 'bold']">
									{{subitem.nombre}}
								</button>
								<!-- MISMAS VALIDACIONES DE BOTONES -->
								<button *ngIf="subitem.url && subitem.submodulos" [matMenuTriggerFor]="menu1"
									mat-menu-item [routerLink]="item.url+'/'+subitem.url"
									[routerLinkActive]="['mat-bt-primary', 'bold']">
									{{subitem.nombre}}
								</button>
								<!-- SUB ITEMS DE LOS SUBITEMS, PUEDES VER LA VARIABLE DE TIPO MENU_APP(Interfaz) -->
								<mat-menu #menu1="matMenu">
									<ng-template matMenuContent>
										<ng-container *ngFor="let subitem1 of subitem.submodulos">
											<!-- MISMAS VALIDACIONES DE BOTONES -->
											<button mat-menu-item *ngIf="subitem1.url"
												[routerLink]="item.url+'/'+subitem1.url">
												{{subitem1.nombre}}
											</button>
											<!-- MISMAS VALIDACIONES DE BOTONES -->
											<button mat-menu-item style="opacity: 0.6;" *ngIf="!subitem1.url">
												{{subitem1.nombre}}
											</button>
										</ng-container>
									</ng-template>
								</mat-menu>
								<!-- SUB ITEMS DE LOS SUBITEMS, PUEDES VER LA VARIABLE DE TIPO MENU_APP(Interfaz) -->
							</ng-container>
						</ng-template>
					</mat-menu>
					<!-- MENU -->
				</ng-container>
			</div>
			<!-- SCROLL DEL MENU HACIA LA DERECHA -->
			<div class="bt-scroll bt-scroll-right">
				<button mat-icon-button mat-flat-button (click)="scrollRight()">
					<mat-icon>chevron_right</mat-icon>
				</button>
			</div>
		</div>
		<!-- COMPARTIR -->
		<div class="absolute-buttons">
			<button mat-icon-button>
				<mat-icon>share</mat-icon>
			</button>
		</div>
	</mat-toolbar>
	<!-- BANNER DE PREVENCION DEL COVID -->
	<div class="col-12 p-0 back-primmary" id="img-covid-container">
		<img class="img-covid"
			src="https://www.cancilleria.gov.co/sites/default/files/FOTOS2020/banner_covid-19_120220.png"
			style="width: 100%;">
	</div>
	<!-- IMFORMACION DE ATENCION AL CLIENTE Y REGISTRO -->
	<div class="row back-primmary">
		<div class="container">
			<div class="row">
	
				<div class="col-sm-6 m-auto p-0">
					<mat-card transparent>
						<mat-card-header>
							<mat-card-title class="mat-bt-primary">Atención Telefónica 24 Horas:</mat-card-title>
						</mat-card-header>
						<mat-card-content class="mb-0">
							Líneas de atención al ciudadano: Bogotá: +57 (1) 3826999 - Número gratuito nacional: 01
							8000 938 000
						</mat-card-content>
					</mat-card>
				</div>

				<div class="col-sm-6 m-auto p-0">
					<mat-card transparent>
						<mat-card-actions style="padding-bottom: 14px;">
							<button mat-raised-button class="w-100 large-btn mat-card p-0">Regístrate donde quiera que estes</button>
						</mat-card-actions>
					</mat-card>
				</div>

	
	
			</div>
		</div>
	</div>
	<!-- RUTAS DE ANGULAR, AQUI SE RENDERIZAN LOS COMPONENTES -->
	<router-outlet></router-outlet>
	<!-- FOOTER -->
	<div class="container p-4">
		<div class="row">
			<div class="col-12" style="min-height: 59px;">
				<img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcSzI7Hr7u8UEuLNZnxAf92SYYl4dh2ES_OiYA&usqp=CAU"
					alt="" class="img-logo">
			</div>
			<div class="col-12">
				<div class="row">
					<div class="col-6 col-md-4 col-lg-3">
						<ul>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>Presidencia
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>Vicepresidencia
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinJusticia
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinDefensa
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinInterior
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>Cancillería
								</a></li>
						</ul>
					</div>

					<div class="col-6 col-md-4 col-lg-3">
						<ul>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinHacienda
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinMinas
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinCIT
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinTIC
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinCultura
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinAgricultura
								</a></li>
						</ul>
					</div>

					<div class="col-6 col-md-4 col-lg-3">
						<ul>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinAmbiente
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinTransporte
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinVivienda
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinEducación
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinTrabajo
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>MinSalud
								</a></li>
						</ul>
					</div>

					<div class="col-6 col-md-4 col-lg-3">
						<ul>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>Alto Comisionado para la Paz
								</a></li>
							<li><a mat-button color="primary">
									<mat-icon>arrow_right</mat-icon>Colombia joven
								</a></li>
						</ul>
					</div>
				</div>



			</div>
		</div>
	</div>
	<footer class="page-footer">
		<div class="container">
			<div class="row">
				<div class="col-12 col-md-6 col-lg-4">
					<mat-card-title>Ministerio de Relaciones Exteriores</mat-card-title>
					<p class="grey-text text-lighten-4">Palacio de San Carlos: Calle 10 # 5-51 Bogotá D.C., Colombia
						Horarios y puntos de atención: ingrese a este enlace.
						Conmutador: (57-1) 3814000 - Fax. (57-1) 3814747
						Información de trámites y servicios: (57-1) 3826999
						Correo institucional: contactenos@cancilleria.gov.co
						Correo físico: Carrera 5 # 9-03, Bogotá
						Código postal: 111711


						Peticiones, quejas, reclamos, sugerencias, denuncias y felicitaciones - 24 horas
						Consulta procesos disciplinarios
						Listas emitidas por los Comités de Sanciones de las Naciones Unidas

					</p>
				</div>
				<div class="col-12 col-md-6 col-lg-4">
					<mat-card-title>Servicios al Ciudadano</mat-card-title>
					<ul>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Pasaportes
							</a></li>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Visa
							</a></li>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Apostilla
							</a></li>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Legalización
							</a></li>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Nacionalidad
							</a></li>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Política de Tratamiento de Información
							</a></li>
						<li><a mat-button>
								<mat-icon>arrow_right</mat-icon>Aviso de privacidad
							</a></li>
					</ul>
				</div>
			</div>
		</div>
		<div class="footer-copyright">
			<div class="container">
				© 2020 Copyright
			</div>
		</div>
	</footer>
</div>
<!-- FOOTER -->